package com.ycwl.basic.service.pc;

import com.ycwl.basic.model.pc.coupon.entity.CouponEntity;
import com.ycwl.basic.model.pc.coupon.req.CouponQueryReq;
import com.ycwl.basic.model.pc.coupon.resp.CouponRespVO;

import java.util.List;

public interface CouponService {
    Integer add(CouponEntity coupon);
    Boolean update(CouponEntity coupon);
    Boolean delete(Integer id);
    CouponEntity getById(Integer id);
    List<CouponRespVO> list(CouponQueryReq query);

    Boolean updateStatus(Integer id);
}